#!/bin/sh
/bin/mount -t proc proc /proc
echo "Installing nsg-linux ..."

echo "Stage 1 - making minix partition on /dev/nftla"
/sbin/mkfs.minix /dev/nftla

echo "Stage 2 - mounting /dev/nftla /mnt"
/bin/mount -t minix -o rw /dev/nftla /mnt

echo "Stage 3 - creating root file system on /dev/nftla"
cd /mnt
/bin/mkdir bin
/bin/cp /bin/busybox bin/
/bin/gunzip -c /nftlroot.tar.gz | /bin/tar xf -
cd /mnt/lib
/bin/cp /lib/ld-2.1.2.so .
/bin/cp /lib/libc-2.1.2.so .
/bin/ln -s ld-2.1.2.so ld.so.1
/bin/ln -s libc-2.1.2.so libc.so.6
cd /

echo "Stage 3 - erasing flash DO NOT POWEROFF!!"
/sbin/flctl /dev/linux erase

echo "Stage 4 - installing Linux kernel to flash"
/bin/cp /image /dev/linux

echo "Stage 5 - unmounting /dev/nftla"
/bin/sync
/bin/sync
/bin/sync
/bin/umount /dev/nftla

echo "Stage 6 - (last) Rebooting"
/sbin/reboot

